org.apache.ignite.internal.processors.query.stat.view

## Class StatisticsColumnPartitionDataView

- java.lang.Object
- - org.apache.ignite.internal.processors.query.stat.view.StatisticsColumnPartitionDataView

    public class StatisticsColumnPartitionDataView
    extends Object

Statistics partition data view.

### Constructor Summary

Constructors
Constructor and Description
`StatisticsColumnPartitionDataView(StatisticsKey key, String column, ObjectPartitionStatisticsImpl statistics)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `column()`
`long` `distinct()`
`long` `lastUpdateTime()`
`String` `name()`
`long` `nulls()`
`int` `partition()`
`long` `rowsCount()`
`String` `schema()`
`int` `size()`
`long` `total()`
`String` `type()`
`long` `updateCounter()`
`long` `version()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StatisticsColumnPartitionDataView

    public StatisticsColumnPartitionDataView(StatisticsKey key,
                                             String column,
                                             ObjectPartitionStatisticsImpl statistics)

Constructor.

Parameters:
  `key` - Statistics key.
  `column` - Column name.
  `statistics` - Object partition statistics.

### Method Detail

#### schema

    public String schema()

Returns:
  Schema name.

#### type

    public String type()

Returns:
  Object type.

#### name

    public String name()

Returns:
  Object name.

#### column

    public String column()

Returns:
  Column name.

#### partition

    public int partition()

Returns:
  Partition id.

#### rowsCount

    public long rowsCount()

Returns:
  Object's row in partition.

#### updateCounter

    public long updateCounter()

Returns:
  Partitions update counter.

#### distinct

    public long distinct()

Returns:
  Number of distinct values in column.

#### nulls

    public long nulls()

Returns:
  Number of nulls values.

#### total

    public long total()

Returns:
  Total number of values in column in partition.

#### size

    public int size()

Returns:
  Average size in bytes, for variable size only.

#### version

    public long version()

Returns:
  Statistic's version.

#### lastUpdateTime

    public long lastUpdateTime()

Returns:
  Last update time, milliseconds.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.14.0
Release Date | : September 29 2022